#!/bin/sh
#
# This is *my* backup script. It backes up everything *except* following:
#
# FILES IN THE ROOT (files in /)
# /backup
# /dev
# /proc
# /mnt
#
# Output is written to /backup/md5backup/
#
# -Tino

for a in /*
do
	case "$a" in
	/backup | /dev | /proc | /mnt)	continue
	esac
	[ -L "$a" -o ! -d "$a" ] && continue
	echo "### BACKUP $a ###"
	./md5backup /backup/md5backup/ "`hostname -f`" "$a"
done
