#!/bin/sh

find out -type f -name '*.md5' -print > check.list

{
cat check.list
cat check.ok
} |
sort |
uniq -u |
while read a
do
	let i=i+1
	echo -n "$i
"
	s="`basename "$a" | sed 's/\\..*$//g'`"
	sum="`md5sum < "$a" | { read b c; echo $b; }`"
	[ ".$s" = ".$sum" ] && echo "$a" >> check.ok
done
